Bug 1622312 - golang 1.11 breaks snapd compilation on s390x
Summary: golang 1.11 breaks snapd compilation on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 29
Hardware: s390x
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: ZedoraTracker F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-08-25 20:32 UTC by Neal Gompa
Modified: 2018-09-18 06:20 UTC (History)
10 users (show)

Fixed In Version: golang-1.11-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-18 06:20:12 UTC


Attachments (Terms of Use)
snapd-2.35-1.fc29 build.log (233.34 KB, text/plain)
2018-08-25 20:32 UTC, Neal Gompa
no flags Details

Description Neal Gompa 2018-08-25 20:32:30 UTC
Created attachment 1478753 [details]
snapd-2.35-1.fc29 build.log

Description of problem:
When trying to build snapd-2.35-1 for F29 and Rawhide, it fails to build *only* on s390x.

F29 task: https://koji.fedoraproject.org/koji/taskinfo?taskID=29294908
Rawhide task: https://koji.fedoraproject.org/koji/taskinfo?taskID=29294897

Version-Release number of selected component (if applicable):
1.11-0.rc2.1.fc29

How reproducible:
Always

Steps to Reproduce:
1. Checkout snapd distgit
2. Do a fedpkg scratch build for s390x of snapd

Actual results:
Compilation failed.

Expected results:
Compilation succeeded.

Comment 1 Neal Gompa 2018-09-09 06:39:12 UTC
The update to golang 1.11 final seemed to fix it, and I was able to submit an update: https://bodhi.fedoraproject.org/updates/snapd-2.35-1.fc29

Comment 2 Fedora Update System 2018-09-10 02:40:56 UTC
snapd-2.35-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6660293c6

Comment 3 Fedora Blocker Bugs Application 2018-09-10 02:41:13 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user ngompa using the blocker tracking app because:

 golang 1.11rc2 prevented me from updating snapd for F29 and Rawhide. After I noticed golang 1.11 final was available, I tried again and it built.

I'd like the proposed update to snapd-2.35-1.fc29[1] to be granted an FE so that upgrade from F28 to F29 will work.

[1]: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6660293c6

Comment 4 Adam Williamson 2018-09-10 23:09:23 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html .

Reading the discussion and the proposal, I think there's been some confusion here. The meeting clearly voted on the topic of whether golang 1.11 should be granted a freeze exception in order to help things build on s390x...but Neal seems to have been proposing a freeze exception for *snapd* on the grounds of fixing upgrades.

Given that the vote and the proposal were so clearly mismatched, I'm gonna say we should leave this as proposal and vote on it again when we're clearer what we're voting about.

Neal, if you in fact want an FE for the snapd build, please make the bug explain this more clearly. I'm assuming you used a buildroot override to get snapd built? If so, we also have a bit of a problem, as the golang update and the snapd update are separate. It would seem technically wrong to push either without the other.

Comment 5 Fedora Update System 2018-09-11 07:26:38 UTC
golang-1.11-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-35eaad95d3

Comment 6 Neal Gompa 2018-09-11 07:27:40 UTC
> Neal, if you in fact want an FE for the snapd build, please make the bug explain this more clearly. I'm assuming you used a buildroot override to get snapd built? If so, we also have a bit of a problem, as the golang update and the snapd update are separate. It would seem technically wrong to push either without the other.

Yeah, both golang and snapd need to be pushed. I'm fairly certain I did this all wrong, but I'll go with I didn't know what I was doing more than anything else...

Comment 7 Neal Gompa 2018-09-11 07:31:59 UTC
(In reply to Adam Williamson from comment #4)
> Discussed at 2018-09-10 freeze exception review meeting:
> https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-
> blocker-review.2018-09-10-16.01.html .
> 
> Reading the discussion and the proposal, I think there's been some confusion
> here. The meeting clearly voted on the topic of whether golang 1.11 should
> be granted a freeze exception in order to help things build on s390x...but
> Neal seems to have been proposing a freeze exception for *snapd* on the
> grounds of fixing upgrades.
> 
> Given that the vote and the proposal were so clearly mismatched, I'm gonna
> say we should leave this as proposal and vote on it again when we're clearer
> what we're voting about.
> 
> Neal, if you in fact want an FE for the snapd build, please make the bug
> explain this more clearly. I'm assuming you used a buildroot override to get
> snapd built? If so, we also have a bit of a problem, as the golang update
> and the snapd update are separate. It would seem technically wrong to push
> either without the other.

Now this time I'm properly replying... Both snapd and golang are in Bodhi, they're just separate updates for unfortunate reasons. They are now both properly attached to this ticket, so at least you'll know which updates to push for FE.

Comment 8 Geoffrey Marr 2018-09-17 20:04:02 UTC
Discussed during the 2018-08-20 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made to resolve snapd upgrade path issues.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2018-09-17/f29-blocker-review.2018-09-17-16.02.txt

Comment 9 Geoffrey Marr 2018-09-17 20:06:03 UTC
Correction to comment 8:

Discussed during the 2018-09-17 blocker review meeting:

Comment 10 Fedora Update System 2018-09-18 06:20:12 UTC
golang-1.11-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-09-18 06:20:58 UTC
snapd-2.35-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.